export declare type WebhookAttributes = WebhookCollectionsCreateAttributes | WebhookCollectionsUpdateAttributes | WebhookCollectionsDeleteAttributes;
interface WebhookAttributesBase {
    "X-Shopify-Topic": string;
    "X-Shopify-Webhook-Id": string;
    "X-Shopify-API-Version": string;
    "X-Shopify-Hmac-SHA256": string;
    "X-Shopify-Shop-Domain": string;
    "Content-Type": "application/json";
}
export interface WebhookCollectionsCreateAttributes extends WebhookAttributesBase {
    /**
     * Integer ID, like "285352591544"
     */
    "X-Shopify-Collection-Id": string;
    "X-Shopify-Topic": "collections/create";
}
export interface WebhookCollectionsUpdateAttributes extends WebhookAttributesBase {
    /**
     * Integer ID, like "285352591544"
     */
    "X-Shopify-Collection-Id": string;
    "X-Shopify-Topic": "collections/update";
}
export interface WebhookCollectionsDeleteAttributes extends WebhookAttributesBase {
    /**
     * Integer ID, like "285352591544"
     */
    "X-Shopify-Collection-Id": string;
    "X-Shopify-Topic": "collections/delete";
}
export interface WebhookCollectionPayload {
    id: number;
    handle: string;
    title: string;
    updated_at: string;
    body_html: string;
    published_at: string;
    sort_order: string;
    template_suffix: string;
    disjunctive: boolean;
    rules: {
        column: string;
        relation: string;
        condition: string;
    }[];
    published_scope: string;
    admin_graphql_api_id: string;
}
export {};
